import java.text.*;
import java.util.*;
import java.io.*;
import java.sql.*;
import java.math.*;





public class Query1
{
	// CHANGE DRIVER STRING HERE										//|
	public static final String DRIVER =									//|
		"nl.cwi.monetdb.jdbc.MonetDriver";								//|
		//"com.mysql.jdbc.Driver";										//|
																		//|
	// CHANGE DB CONNECTION STRING(S) HERE								//|
																		//|
	public static final String DB1 =									//|
		"jdbc:monetdb://localhost:45123/ggle_1";						//|
		//"jdbc:mysql://localhost/ggle?user=ggle&password=gsa#1";		//|
																		//|
	public static final String DB2 =									//|
		"jdbc:monetdb://localhost:45223/ggle_2";						//|



	public static void main (String argv[]) throws SQLException
	{
		Connection con1, con2;
		ParallelConnection pcon1, pcon2;
		ResultSet res1, res2;
		long start, end;
		String query, sql;

		try
		{
			// get the driver
			Class.forName(DRIVER);

			// open connections
			con1 = DriverManager.getConnection(DB1, "monetdb", "monetdb");
			con2 = DriverManager.getConnection(DB2, "monetdb", "monetdb");

			// turn off auto commit
			con1.setAutoCommit( false );
			con2.setAutoCommit( false );

			pcon1 =  new ParallelConnection(con1);
			pcon2 =  new ParallelConnection(con2);
			pcon1.start();
			pcon2.start();
		}
		catch(Exception e)
		{
			System.out.println("COULDN'T EVEN START: " +e);
			return;
		}



		System.out.println("Connectons open. Executing query ...");


		try
		{
			query = "SELECT EntryId, URL FROM Entry WHERE url = 'http://www.php.net/index.php'";



			pcon1.createStatement( "stmt");
			pcon2.createStatement( "stmt");

			pcon1.executeQuery( "stmt", query);
			pcon2.executeQuery( "stmt", query);

			res1 = pcon1.getResult( "stmt");
			res2 = pcon2.getResult( "stmt");

			while( res1.next() )
			{
				System.out.println( res1.getInt(1) + "\t" + res1.getString(2) );
			}
			while( res2.next() )
			{
				System.out.println( res2.getInt(1)  + "\t" + res2.getString(2) );
			}

		}
		catch(Exception e)
		{
			System.out.println(e);
		}

		pcon1.halt();
		pcon2.halt();

		try
		{
			con1.rollback();
			con2.rollback();
			con1.close();
			con2.close();
		}
		catch(Exception e)
		{
			System.out.println(e);
		}

		System.out.println("FINISHED :-)");

	}
}
